Subject: (IPng 6424) Re: Host Fragmentation

From: [email-masked]
Date: Thu, 10 Sep 1998 12:46:34 EDT

In a message dated 9/10/98 10:13:19 AM Eastern Daylight Time, [email-masked]
writes:

> > The article attached below that I recently received suggests that
>  > the IPv6 rule of only fragmenting at the source host really is
>  > rather ill-conceived.

>  > Joachim Martillo

>  > [Article about high-MTU media helping an OS with an immature IP
>  > stack deleted.]
  
>  I see no implications there for fragmentation at the source instead
>  of at a router.  In fact, nothing in the article states that IP was
>  used for the comparison at all.

The NT Server works best if it can put jumbo frames on the wire.
The situation is not unusual and has no obvious correllation
with the maturity of the IP stack.  I have found that higher 
networking performance is possible with DGUX and DECUNIX 
when FDDI is used than when 100 Mbps ethernet is being 
used mostly because FDDI allows larger frames on the wire.  
NT Server jumbo frame performance was not unexpected.

Unfortunately not every client can receive jumbo frames,
and it may make sense to interpose between the server
and its clients a high performance packet switch that 
could fragment the jumbo frames into standard maximum 
frames.  (I think such devices were called extruders in the 
past.)

It might make sense to use a high performance router
if the server is on 1 Gbps ethernet while the clients
are on some other medium.  Certainly the TTI
VLAN Router, for which fragmentation is almost
costless, works well for  such a network design
either in extruder mode or in pure router mode.

It makes no sense to forbid network designs that
can tremendously increase system performance
(as IPv6 does) especially when there is no way
to distinguish between host fragmentation or
router fragmentation at the client anyway.  The
logic of the IPv6 design with regard to the issue
of fragmentation is simply impenetrable.

Joachim Carlo Santos Martillo Ajami
<A HREF="http://members.aol.com/Telford001/">Telford Tools, Inc.</A> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------